Création de ports
Conditions préalables
Authentification - Soumettez vos identifiants utilisateur, votre identifiant client et votre clé secrète client pour OAuth2 Authentification. Consultez Authentification API pour obtenir des instructions sur la façon d'appeler l'API OAuth afin de valider et d'authentifier vos informations d'identification.
Créer un port
Pour créer un port, envoyez une requête POST au point de terminaison /fabric/v4/ports.
| Method | POST |
| URL or Endpoint | /fabric/v4/ports |
| Headers | Authorization, Content-Type |
| Path Parameters | Not applicable |
| Query Parameters | dryRun |
| Body Parameters | type, id, uuid, name, description, physicalPortsSpeed, connectionsCount, physicalPortsType, physicalPortsCount, connectivitySourceType, bmmrType, project, state, order, cvpId, operation, account, change, changeLog, availableBandwidth, usedBandwidth, location, device, interface, demarcationPointIbx, tetherIbx, demarcationPoint, redundancy, encapsulation, lagEnabled, lag, asn, package, settings, physicalPortQuantity, notifications, additionalInfo, endCustomer, physicalPorts, loas |
Pour valider en toute sécurité cette requête en production sans créer ni modifier de ressources, consultez Tests en production (exécution à blanc de l'API).
Exemple de requête cURL - colocation, port non-LAG:
curl -X POST 'https://api.equinix.com/fabric/v4/ports'
-H 'Content-Type: application/json'
-H 'Authorization: Bearer <token>'
-d '{
"type": "XF_PORT",
"physicalPortsSpeed": 1000,
"physicalPortsType": "1000BASE_LX",
"connectivitySourceType": "COLO",
"location": {
"metroCode": "GV"
},
"demarcationPointIbx": "GV1",
"package": {
"code": "STANDARD"
},
"lagEnabled": false,
"encapsulation": {
"type": "DOT1Q",
"tagProtocolId": 33024
},
"project": {
"projectId": "8f23b36f-db8f-44c8-a6e5-606e1b485931"
},
"account": {
"accountNumber": 270848
},
"notifications": [
{
"registeredUsers": [
"jaguarsuser-port-order"
],
"type": "TECHNICAL"
}
],
"order": {
"purchaseOrder": {
"number": 156576,
"amount": 10,
"startDate": "2018-06-11T22:25:52.206Z",
"endDate": "2018-07-11T22:25:52.206Z",
"type": "NEW"
},
"signature": {
"signatory": "DELEGATE",
"delegate": {
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@company.com"
}
}
},
"physicalPorts": [
{
"demarcationPoint": {
"ibx": "GV1",
"cabinetUniqueSpaceId": "Demarc",
"cageUniqueSpaceId": "GV1:01:002174",
"patchPanel": "CP:Demarc:1259684",
"connectorType": "SC"
}
}
]
}'
Exemple de réponse:
{
"type": "XF_PORT",
"physicalPortsType": "10GBASE_L",
"physicalPortsSpeed": 10000,
"physicalPortsCount": 1,
"location": {
"metroCode": "AM"
},
"demarcationPointIbx": "AM1",
"redundancy": {
"group": 1,
"priority": "PRIMARY"
},
"lagEnabled": true,
"encapsulation": {
"type": "DOT1Q",
"tagProtocolId": 33024
},
"package": {
"code": "STANDARD"
},
"settings": {
"sharedPortType": false
},
"project": {
"projectId": 567
},
"account": {
"accountNumber": 1000
},
"order": {
"orderNumber": "1-207799950758",
"signature": {
"signatory": "DELEGATE",
"delegate": {
"email": "testEmail1@equinix.com"
}
}
},
"notifications": [
{
"type": "TECHNICAL",
"registeredUsers": [
"jaguarsuser-port-order"
]
},
{
"type": "NOTIFICATION",
"registeredUsers": [
"jaguarsuser-port-order"
]
},
{
"type": "PEERING",
"registeredUsers": [
"jaguarsuser-port-order"
]
},
{
"type": "ESCALATION",
"registeredUsers": [
"jaguarsuser-port-order"
]
}
]
}
Pour une description détaillée de la réponse, ou pour plus d'exemples, consultez la référence API.